LogoopenSUSE Build Service > Projects
Sign Up | Log In

libaal

#v1.0.6 copied from https://build.opensuse.org/package/show/openSUSE:13.2/libaal
#  osc ls home:doiggl libaal
libaal-1.0.5-rpmoptflags.patch
libaal-1.0.6.tar.gz
libaal.changes
libaal.spec

# osc ls home:doiggl libaal
libaal-1.0.5.tar.bz2
libaal-1.0.6.tar.gz
libaal-rpmlintrc
libaal-rpmoptflags.patch
libaal.spec

current errors
[   97s] RPMLINT report:
[   97s] ===============
[   98s] (none): E: badness 10000 exceeds threshold 1000, aborting.
[   98s] libaal.x86_64: W: useless-provides libaal
[   98s] This package provides 2 times the same capacity. It should only provide it
[   98s] once.
[   98s] 
[   98s] libaal.x86_64: W: shlib-policy-nonversioned-dir /usr/share/doc/packages/libaal
[   98s] Your shared library package contains non-versioned directories. Those will not
[   98s] allow to install multiple versions of the package in parallel.
[   98s] 
[   98s] libaal.x86_64: E: shlib-policy-name-error (Badness: 10000) libaal-1_0-5
[   98s] Your package contains a single shared library but is not named after its
[   98s] SONAME.
[   98s] 
[   98s] libaal.x86_64: W: self-obsoletion libaal <= 1.0.5 obsoletes libaal = 1.0.5
[   98s] libaal.x86_64: W: self-obsoletion libaal <= 1.0.5 obsoletes libaal = 1.0.5-115.1
[   98s] The package obsoletes itself.  This is known to cause errors in various tools
[   98s] and should thus be avoided, usually by using appropriately versioned Obsoletes
[   98s] and/or Provides and avoiding unversioned ones.
[   98s] 
[   98s] libaal-minimal0.x86_64: W: description-shorter-than-summary
[   98s] libaal-devel.x86_64: W: description-shorter-than-summary
[   98s] The package description should be longer than the summary. be a bit more
[   98s] verbose, please.
[   98s] 

#previous error
[  252s] RPMLINT report:
[  252s] ===============
[  254s] (none): E: badness 10000 exceeds threshold 1000, aborting.
[  259s] libaal.x86_64: W: useless-provides libaal
[  259s] This package provides 2 times the same capacity. It should only provide it
[  259s] once.
[  259s] 
[  259s] libaal.x86_64: W: shlib-policy-nonversioned-dir /usr/share/doc/packages/libaal
[  259s] Your shared library package contains non-versioned directories. Those will not
[  259s] allow to install multiple versions of the package in parallel.
[  259s] 
[  259s] libaal.x86_64: E: shlib-policy-name-error (Badness: 10000) libaal-1_0-5
[  259s] Your package contains a single shared library but is not named after its
[  259s] SONAME.
[  259s] 
[  259s] libaal.x86_64: W: self-obsoletion libaal <= 1.0.5 obsoletes libaal = 1.0.5
[  259s] libaal.x86_64: W: self-obsoletion libaal <= 1.0.5 obsoletes libaal = 1.0.5-114.1
[  259s] The package obsoletes itself.  This is known to cause errors in various tools
[  259s] and should thus be avoided, usually by using appropriately versioned Obsoletes
[  259s] and/or Provides and avoiding unversioned ones.
[  259s] 
[  259s] libaal-devel.x86_64: W: description-shorter-than-summary
[  259s] libaal-minimal0.x86_64: W: description-shorter-than-summary
[  259s] libaal.x86_64: W: description-shorter-than-summary
[  259s] libaal.src: W: description-shorter-than-summary
[  259s] The package description should be longer than the summary. be a bit more
[  259s] verbose, please.
[  259s] 
[  259s] 4 packages and 0 specfiles checked; 1 errors, 8 warnings.

Source Files

Filename Size Changed Actions
libaal-1.0.5-rpmoptflags.patch 205 Bytes over 5 years ago Download File
libaal-1.0.6.tar.gz 338 KB about 4 years ago Download File
libaal.changes 4.78 KB almost 4 years ago Download File
libaal.spec 3.31 KB about 4 years ago Download File

Comments for home:doiggl (0)